---
title: Bulk Moving of Assets
description: This endpoint allows moving multiple assets using their IDs to a specific folder.
url: https://storyblok.com/docs/api/management/assets/bulk-moving-of-assets
---

# Bulk Moving of Assets

POST

```html
https://mapi.storyblok.com/v1/spaces/:space_id/assets/bulk_update
```

This endpoint allows moving multiple assets using their IDs to a specific folder.

## Request body properties

-   `ids` (number\[\])
    
    Array of numeric IDs
    
-   `asset_folder_id` (number)
    
    Id of the folder containing this asset
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/bulk_update" \
      -X POST \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"asset_folder_id\":299783,\"ids\":[15904978,15878980]}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.post('spaces/288868932106293/assets/bulk_update', {
        "asset_folder_id": 299783,
        "ids": [
          15904978,
          15878980
        ]
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["asset_folder_id" => 299783,"ids" => [15904978,15878980]];
    
    $client->post('spaces/288868932106293/assets/bulk_update', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.post("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/bulk_update")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"asset_folder_id":299783,"ids":[15904978,15878980]})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/bulk_update");
    var request = new RestRequest(Method.POST);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"asset_folder_id\":299783,\"ids\":[15904978,15878980]}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/bulk_update"
    
    querystring = {}
    
    payload = {"asset_folder_id":299783,"ids":[15904978,15878980]}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("POST", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"asset_folder_id" => 299783,"ids" => [15904978,15878980]}
    
    client.post('spaces/288868932106293/assets/bulk_update', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/assets/bulk_update")
    request.httpMethod = "POST"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "asset_folder_id": 299783,
        "ids": [
            15904978,
            15878980,
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.post("spaces/288868932106293/assets/bulk_update") {
        setBody(buildJsonObject {
            put("asset_folder_id", 299783)
            putJsonArray("ids") {
                add(15904978)
                add(15878980)
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Assets](/docs/api/management/assets)
-   [Next: Bulk Restoration of Deleted Assets](/docs/api/management/assets/bulk-restoration-of-deleted-assets)
